Bug 440111 - Tags/Payees Double Enter
Summary: Tags/Payees Double Enter
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: general (show other bugs)
Version: 5.1.2
Platform: Compiled Sources Microsoft Windows
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-21 14:17 UTC by lagunacreek
Modified: 2021-07-26 14:06 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.1.3


Attachments
Payee Duplicate Sample (91.11 KB, application/pdf)
2021-07-22 14:41 UTC, lagunacreek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lagunacreek 2021-07-21 14:17:41 UTC
SUMMARY
Version 5.1.2-47e90cc7a (and previous recent stable versions)
For Tags and Payees
Almost every entry is entered twice: (1) entry showing category and (2) entry showing account.
Balance always shows zero or some other odd amount.
Exceptions appear to be split transactions, as well as a few others I cannot figure out.

STEPS TO REPRODUCE
1. Install app
2. Open app and current database
3. 

OBSERVED RESULT
5.1.2 see above
I open the same file in 5.0.6 and the problem does not occur. 5.1.2 does not corrupt the file.

EXPECTED RESULT
There is a single entry for each transaction and the balance is the total of transactions

SOFTWARE/OS VERSIONS
Windows: 10 21H1.
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
This also occurred in the previous windows version release. Occurs on Windows 10 Home and Windows 10 Pro
Comment 1 Jack 2021-07-21 18:44:12 UTC
Please try to provide a better description.  You say 5.0.6 works fine, and 5.1.2 shows some double entries - but it doesn't corrupt the file.  Is this just a display issue?  Does this happen with already existing transactions, or only with newly entered transaction?

Perhaps you can give a detailed description of what
Comment 2 lagunacreek 2021-07-21 20:16:17 UTC
Please try to provide a better description.  You say 5.0.6 works fine, and
5.1.2 shows some double entries - but it doesn't corrupt the file.  Is this
just a display issue?  Does this happen with already existing transactions, or
only with newly entered transaction?

This happens with some existing transactions but not all of them. It definitely doesn't happen on transactions with splits. I didn't try to enter a new transaction when I had the new version loaded. And while it occurs on most transactions it is not all of them.
It does not occur in the registers. It only seems to occur with the payees and tags.
Reports also appear to be correct.
Since it doesn't appear to affect the actual data I suspect it is some sort of display issue in payees and tags.
I am uncomfortable loading the new version again and I would not really be sure what to look for and so would need to take a significant amount of time to try and isolate exactly which transactions are affected. I imagine I would need to look at this transaction by transaction. If you have any ideas of what to look for let me know and I try and take a look again.
This also seems to be somewhat recent as a couple of months ago I loaded one of the stable versions and everything seemed to work except the font rendering. At that point I reverted to the old stable version 5.0.6 since the newer one only really solved the issue where the program loaded in the lower right corner.
Comment 3 lagunacreek 2021-07-22 14:41:13 UTC
Created attachment 140259 [details]
Payee Duplicate Sample

Version Version 5.1.2-47e90cc7a
Tags are now correct.
Payees continue to have duplicate entries.
1- New transactions will have duplicates
2- There seems to be a few years sandwiched in the middle that are correct on current accounts in the Payee view. There should no difference in the file itself so this seems strange.
3- It doesn't matter whether an account is active or inactive.

I am attaching an example of what I seen in Payees.
Comment 4 lagunacreek 2021-07-22 14:41:32 UTC
Version Version 5.1.2-47e90cc7a
Tags are now correct.
Payees continue to have duplicate entries.
1- New transactions will have duplicates
2- There seems to be a few years sandwiched in the middle that are correct on current accounts in the Payee view. There should no difference in the file itself so this seems strange.
3- It doesn't matter whether an account is active or inactive.

I am attaching an example of what I seen in Payees.
Comment 5 Thomas Baumgart 2021-07-23 09:27:28 UTC
To shed some light on this: They seems to show as duplicates, but KMyMoney only shows both splits of a transaction (do you see the difference in the account column?). Since these 'duplicates' are simply the two splits of a single transaction, the balance remains zero in this case.

The reason why it shows up like this for some but not all transactions is, that the handling of the payee information was changed at some point to reference a payee in all splits of a transaction and not only the one that refers to the asset/liability account. This has been changed to fix other bugs.
Comment 6 lagunacreek 2021-07-23 11:49:22 UTC
This seems to be a major bug since I need to pull a report to see what I have paid a payee rather than use the Payee list. Will this be fixed?
Apparently the same behavior in the Tags list was resolved.

I will ask this on the forum, but at what point does full regression testing take place?
I have stayed with 5.0.6 since almost all the functionality I need is there. The only thing wrong for me is an issue with tag reporting which I haven't bothered to check on newer versions since most seem to have more bugs than the version I am using.
Comment 7 Thomas Baumgart 2021-07-23 14:40:35 UTC
> I will ask this on the forum, but at what point does full regression testing take place?

Whenever the first person steps up to write a test specification and executes it every time before a release.
Comment 8 Thomas Baumgart 2021-07-25 16:21:53 UTC
Git commit 1bd7b2e9d0d31f31771203f0474eac118836f21f by Thomas Baumgart.
Committed on 25/07/2021 at 07:12.
Pushed by tbaumgart into branch '5.1'.

Don't show category splits in payees and tags view
FIXED-IN: 5.1.3

M  +22   -20   kmymoney/views/kpayeesview_p.h
M  +22   -20   kmymoney/views/ktagsview.cpp

https://invent.kde.org/office/kmymoney/commit/1bd7b2e9d0d31f31771203f0474eac118836f21f
Comment 9 lagunacreek 2021-07-26 14:06:46 UTC
Thank you so much!